package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability589/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkStockPublishRequest struct {
	/*
	   批量参数     */
	BatchStockPublishDto *domain.AlibabaWdkStockPublishBatchStockPublishDto `json:"batch_stock_publish_dto,omitempty" required:"false" `
}

func (s *AlibabaWdkStockPublishRequest) SetBatchStockPublishDto(v domain.AlibabaWdkStockPublishBatchStockPublishDto) *AlibabaWdkStockPublishRequest {
	s.BatchStockPublishDto = &v
	return s
}

func (req *AlibabaWdkStockPublishRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.BatchStockPublishDto != nil {
		paramMap["batch_stock_publish_dto"] = util.ConvertStruct(*req.BatchStockPublishDto)
	}
	return paramMap
}

func (req *AlibabaWdkStockPublishRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
